[ Lumen 5.2 文档 ] 序言 —— 发行版本说明

1、Lumen 5.2.0

Lumen 5.2.0 底层升级为使用Laravel 5.2组件,同时在Lumen底层做了调整。

只提供无状态的 API

Lumen 5.2 对 Lumen 做了大瘦身 —— 只专注于提供无状态的 JSON API。因此,框架将不再支持会话(Session)和视图(View),如果要使用这些功能,需要使用完整的 Laravel 框架。将 Lumen 升级到 Laravel 很简单:只需要将你的路由和代码类拷贝到新安装的 Laravel 应用,由于 Laravel 和 Lumen 共用很多组件,你自己编写的代码类基本不需要做什么修改。

认证

由于会话不再被 Lumen 支持,认证必须通过 API token 或者请求头来实现无状态。在新的 AuthServiceProvider 中你对认证过程拥有完全的控制权,查看 Lumen 认证文档了解更多。

测试

由于 Lumen 不再支持会话和视图,所有相关测试功能都被移除。对 JSON API 的测试保留了下来,查看 Lumen 测试文档了解更多。

2、Lumen 5.1.0

Lumen 5.1.0 将框架升级为使用Laravel 5.1,新特性如事件广播、中间价参数,以及测试优化在新版的Lumen中可以使用。想要了解完整的Laravel 5.1发行版本说明,查看Laravel文档

以前版本发行说明,查看Lumen官网

学院君

学院君 has written 548 articles

资深PHP工程师,Laravel学院院长